Skip to main content
GET
/
vendors
/
klingai
/
v1
/
kling-v3-omni
/
reference-to-video
/
generation
/
{task_id}
Get Reference to Video Task
curl --request GET \
  --url https://api.mulerouter.ai/vendors/klingai/v1/kling-v3-omni/reference-to-video/generation/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "videos": [
    "https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0/result_000.mp4"
  ],
  "task_info": {
    "id": "8e1e315e-b50d-4334-a231-be7d19a372f4",
    "status": "completed",
    "created_at": "2026-03-03T00:00:00Z",
    "updated_at": "2026-03-03T00:00:00Z"
  }
}
Retrieve the status and result of a Kling V3 Omni reference-to-video generation task using the task_info.id returned from the POST request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Response

Task result

task_info
object
videos
string<uri>[]